2018-08-18 23:23 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001695FSSCPFREDpublic2009-01-19 19:37
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PriorityhighSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001695: Adding alt-name to a ship removes texture replacement.
DescriptionWorking on a mission using texture replacement I first replaced the textures then positioned the ships. When I had them the way I wanted them I went back in and named the ships and gave them alt-names. Saved the mission and all the textures went back to default. Checked the file and all the ;;FSO 3.6.8;; $Texture Replace:, ;;FSO 3.6.8;; +old:, and ;;FSO 3.6.8;; +new: lines are the ships given the alt-names were gone. The ships I didn't change still had the replaced textures.
Additional InformationTBP 3.6.9 build of FRED. Attaching backup of mission before the name changes.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010425

Zacam (administrator)

Last edited: 2008-12-25 00:17

I am pretty sure this can be closed. I don't know how or who fixed it though, I just know that it is in the 3.6.10's available.

Proof of this: All NTF Capships in the 3.6.10 VP's have $Alt and $Texture Replace working, as evidenced by the fact that they have both.

EDIT: Kindly disregard. I did not accomplish this feat in FRED, but manually.

~0010428

chief1983 (administrator)

FUBAR can you verify? I'm not entirely convinced that what you specifically described is fixed or I'd close it already. Just want to doublecheck.

~0010448

FUBAR-BDHR (developer)

Last edited: 2008-12-21 00:01

Well I can verify it and say that an entirely new bug has been added as well. I saved that .bak file as 1695.fs2. Renamed the asteroid base and gave it an alt-name. Saved it as 1695a.fs2. The texture replacement disappeared. I opened 1695a up in notepad and not only were the texture replacement lines gone but the first 9 lines of the next object had ;;FSO 3.6.8;; in front of them.

There were 9 texture replacement lines so I assume that FRED was trying to place the ;;FSO 3.6.8;; in front of them but since they were removed it skipped the blank line and stuck them in front of the next 9 lines.


Forgot to mention this was in the Knightly build r5009.

~0010449

FUBAR-BDHR (developer)

Just tried to break it down. Seems alt-name by itself no longer causes the problem. However just renaming the ship causes the same problem with the ;;FSO 3.6.8;;. Don't know if the original was fixed and this is an entirely new issue or what. Attaching 1695b which is rename only.

~0010451

Goober5000 (administrator)

See if the next nightly (revision 5013) fixes the problem.

~0010454

FUBAR-BDHR (developer)

Well that fixed the ;;FSO 3.6.8;; problem but the texture replacement still disappears. This was with r5015.

~0010458

FUBAR-BDHR (developer)

Just hit a new problem with the texture replacement saving. This time I opened up a working mission (same one from the original problem but almost complete), made some event/message changes, and saved it with a new name. No problems. Went into the wing editor and made some AI order changes and when I saved it again it blew up on the texture replacement stuff. No changes to ships were made just to the wings.

Just tried opening up the backup file (which opened fine) and saving it with a new name. Same crash with no changes at all made. Attaching the backup and the botched file. It's a TBP multiplayer.

~0010460

Zacam (administrator)

Last edited: 2008-12-25 00:16

EDIT: Crap, I feel stupid now. I thought this was a GAME bug error report, and it is a FRED error in trying to use both options on the same object.

Crappola. Carry on, I am going to go drool in a corner now.

~0010461

chief1983 (administrator)

Fubar try the new 5019, I think there was more submitted since then. Also I'm bumping this bug's priority, it needs to be dealt with and anyone interested in how it's going to get fixed needs to make their opinions known publicly, here or the forums.

~0010462

FUBAR-BDHR (developer)

Last edited: 2008-12-24 23:20

Same problems with r5019.

The current problem with the texture replacement being lost appears to be it being linked to the ship name not to the object number. Change the ship name and missionsave.cpp doesn't have a clue as to what object the texture replacement belongs to. Of course I have no clue on how to fix it.

As for the version stuff that is a whole other can of worms.

~0010495

karajorma (administrator)

Try this with the build I just posted on the recent builds forum. If it's still losing data when you no longer have fout_version to screw things up, I'll take a look.

~0010498

FUBAR-BDHR (developer)

Last edited: 2009-01-01 20:52

Seems that the problem has been fixed but missions saved with a version of FRED that had the ;;FS2_OPEN 3.6.10;;+use table score line still crash when saved in the new versions. I don't know if any other comments are causing the problem yet though but a mission with the ;;FS2_OPEN 3.6.8;; texture replacement lines saved just fine in the new version.

Just to clarify the texture replacement saves fine as long as you don't change the ship name. That part of the bug still exists.

~0010534

chief1983 (administrator)

FUBAR, can you update this bug's description with what is and isn't fixed? Don't delete anything that was originally there but clarify what's still in need please. From what I can tell, it looks like the original bug description was fixed, but the problem from the third comment still exists? Should that be another bug perhaps? I'm tempted not to consider it high priority if so, as there's not a big chance that will affect too many people before the next version release.

~0010535

FUBAR-BDHR (developer)

I don't have any way to edit the description but the currently there are 2 problems here. The original alt-name is working but the ship name isn't. This report really became about "Changing ship name removes texture replacement"

The second part of the bug has to do with the ;;FSO 3.6.10;; stuff and that is already scheduled for an overhaul after 3.6.10 so no need for another report on it.


So where were at on this is that the texture replacement is linked to the ship name not to the object so anytime you change a ship name mission save can't find what ship to link the texture replacement to and tosses it out.

~0010545

Goober5000 (administrator)

K, 3.6.10 stuff addressed; texture replacement fixed; I'm calling this one fixed.
+Notes

-Issue History
Date Modified Username Field Change
2008-05-26 03:26 FUBAR-BDHR New Issue
2008-05-26 03:26 FUBAR-BDHR File Added: FUBAR_M04.bak
2008-12-17 01:11 Zacam Note Added: 0010425
2008-12-17 03:38 chief1983 Note Added: 0010428
2008-12-20 23:59 FUBAR-BDHR Note Added: 0010448
2008-12-21 00:00 FUBAR-BDHR File Added: 1695.fs2
2008-12-21 00:00 FUBAR-BDHR File Added: 1695a.fs2
2008-12-21 00:01 FUBAR-BDHR Note Edited: 0010448
2008-12-21 00:13 FUBAR-BDHR Note Added: 0010449
2008-12-21 00:14 FUBAR-BDHR File Added: 1695b.fs2
2008-12-21 03:14 Goober5000 Note Added: 0010451
2008-12-21 15:58 FUBAR-BDHR Note Added: 0010454
2008-12-22 21:07 FUBAR-BDHR Note Added: 0010458
2008-12-22 21:08 FUBAR-BDHR File Added: FUBAR_M04cbak.fs2
2008-12-22 21:08 FUBAR-BDHR File Added: FUBAR_M04c.fs2
2008-12-24 22:03 Zacam Note Added: 0010460
2008-12-24 22:47 chief1983 Note Added: 0010461
2008-12-24 22:48 chief1983 Priority normal => high
2008-12-24 23:17 FUBAR-BDHR Note Added: 0010462
2008-12-24 23:20 FUBAR-BDHR Note Edited: 0010462
2008-12-25 00:16 Zacam Note Edited: 0010460
2008-12-25 00:17 Zacam Note Edited: 0010425
2008-12-31 07:02 karajorma Note Added: 0010495
2009-01-01 20:43 FUBAR-BDHR Note Added: 0010498
2009-01-01 20:52 FUBAR-BDHR Note Edited: 0010498
2009-01-16 17:21 chief1983 Note Added: 0010534
2009-01-16 17:33 FUBAR-BDHR Note Added: 0010535
2009-01-16 19:08 Goober5000 Status new => assigned
2009-01-16 19:08 Goober5000 Assigned To => Goober5000
2009-01-19 19:37 Goober5000 Note Added: 0010545
2009-01-19 19:37 Goober5000 Status assigned => resolved
2009-01-19 19:37 Goober5000 Resolution open => fixed
2009-01-19 19:37 Goober5000 Fixed in Version => 3.6.10
+Issue History